// you'll find an explanation for using these mixins in the documentation.
// the intention is for you not to edit this file; if you want to edit the size of
// your h1 element, for example, edit the type scaling ratios instead.
fz-scale--six()
    font-size ($fz--base * $ratio--sml ** 6)
    font-size var(--fz-ratio-power--six)
    +above(3)
        font-size ($fz--base * $ratio--med ** 6)
        font-size var(--fz-ratio-power--six)
    +above(6)
        font-size ($fz--base * $ratio--lrg ** 6)
        font-size var(--fz-ratio-power--six)

fz-scale--five()
    font-size ($fz--base * $ratio--sml ** 5)
    font-size var(--fz-ratio-power--five)
    +above(3)
        font-size ($fz--base * $ratio--med ** 5)
        font-size var(--fz-ratio-power--five)
    +above(6)
        font-size ($fz--base * $ratio--lrg ** 5)
        font-size var(--fz-ratio-power--five)

fz-scale--four()
    font-size ($fz--base * $ratio--sml ** 4)
    font-size var(--fz-ratio-power--four)
    +above(3)
        font-size ($fz--base * $ratio--med ** 4)
        font-size var(--fz-ratio-power--four)
    +above(6)
        font-size ($fz--base * $ratio--lrg ** 4)
        font-size var(--fz-ratio-power--four)

fz-scale--three()
    font-size ($fz--base * $ratio--sml ** 3)
    font-size var(--fz-ratio-power--three)
    +above(3)
        font-size ($fz--base * $ratio--med ** 3)
        font-size var(--fz-ratio-power--three)
    +above(6)
        font-size ($fz--base * $ratio--lrg ** 3)
        font-size var(--fz-ratio-power--three)

fz-scale--two()
    font-size ($fz--base * $ratio--sml ** 2)
    font-size var(--fz-ratio-power--two)
    +above(3)
        font-size ($fz--base * $ratio--med ** 2)
        font-size var(--fz-ratio-power--two)
    +above(6)
        font-size ($fz--base * $ratio--lrg ** 2)
        font-size var(--fz-ratio-power--two)

fz-scale--one()
    font-size ($fz--base * $ratio--sml)
    font-size var(--fz-ratio-power--one)
    +above(3)
        font-size ($fz--base * $ratio--med)
        font-size var(--fz-ratio-power--one)
    +above(6)
        font-size ($fz--base * $ratio--lrg)
        font-size var(--fz-ratio-power--one)

fz-scale--minus-one()
    font-size ($fz--base / $ratio--sml)
    font-size var(--fz-ratio-power--minus-one)
    +above(3)
        font-size ($fz--base / $ratio--med)
        font-size var(--fz-ratio-power--minus-one)
    +above(6)
        font-size ($fz--base / $ratio--lrg)
        font-size var(--fz-ratio-power--minus-one)

fz-scale--minus-two()
    font-size ($fz--base / $ratio--sml ** 2)
    font-size var(--fz-ratio-power--minus-two)
    +above(3)
        font-size ($fz--base / $ratio--med ** 2)
        font-size var(--fz-ratio-power--minus-two)
    +above(6)
        font-size ($fz--base / $ratio--lrg ** 2)
        font-size var(--fz-ratio-power--minus-two)

sp-scale--four()
    margin-top ($fz--base * $ratio--sml ** 4 * $lh--heading)
    margin-top var(--sp-ratio-power--four)
    +above(3)
        margin-top ($fz--base * $ratio--med ** 4 * $lh--heading)
        margin-top var(--sp-ratio-power--four)
    +above(6)
        margin-top ($fz--base * $ratio--lrg ** 4 * $lh--heading)
        margin-top var(--sp-ratio-power--four)

sp-scale--three()
    margin-top ($fz--base * $ratio--sml ** 3 * $lh--heading)
    margin-top var(--sp-ratio-power--three)
    +above(3)
        margin-top ($fz--base * $ratio--med ** 3 * $lh--heading)
        margin-top var(--sp-ratio-power--three)
    +above(6)
        margin-top ($fz--base * $ratio--lrg ** 3 * $lh--heading)
        margin-top var(--sp-ratio-power--three)

sp-scale--two()
    margin-top ($fz--base * $ratio--sml ** 2 * $lh--heading)
    margin-top var(--sp-ratio-power--two)
    +above(3)
        margin-top ($fz--base * $ratio--med ** 2 * $lh--heading)
        margin-top var(--sp-ratio-power--two)
    +above(6)
        margin-top ($fz--base * $ratio--lrg ** 2 * $lh--heading)
        margin-top var(--sp-ratio-power--two)

sp-scale--one()
    margin-top ($fz--base * $ratio--sml * $lh--heading)
    margin-top var(--sp-ratio-power--one)
    +above(3)
        margin-top ($fz--base * $ratio--med * $lh--heading)
        margin-top var(--sp-ratio-power--one)
    +above(6)
        margin-top ($fz--base * $ratio--lrg * $lh--heading)
        margin-top var(--sp-ratio-power--one)
